<div>
  <a [routerLink]="['/admin']" class="home"
    ><mat-icon>admin_panel_settings</mat-icon></a
  >
</div>
<div *ngIf="isLoaded">
  <div class="mat-elevation-z8 mt-4">
    <table
      mat-table
      [dataSource]="dataSource"
      matSort
      (matSortChange)="sortData($event)"
    >
      <ng-container matColumnDef="id">
        <div>
          <th mat-header-cell *matHeaderCellDef mat-sort-header>ID</th>
          <td mat-cell *matCellDef="let row">{{ row.id }}</td>
        </div>
      </ng-container>

      <ng-container matColumnDef="title">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Title</th>
        <td mat-cell *matCellDef="let row">{{ row.title }}</td>
      </ng-container>

      <ng-container matColumnDef="price">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Price</th>
        <td mat-cell *matCellDef="let row">{{ row.price }}</td>
      </ng-container>

      <ng-container matColumnDef="description">
        <th mat-header-cell *matHeaderCellDef>Description</th>
        <td mat-cell *matCellDef="let row" style="word-wrap: anywhere">
          {{ row.description }}
        </td>
      </ng-container>

      <ng-container matColumnDef="viewed">
        <th mat-header-cell *matHeaderCellDef mat-sort-header class="pl-4">
          Viewed
        </th>
        <td mat-cell *matCellDef="let row" class="pl-4">{{ row.viewed }}</td>
      </ng-container>

      <ng-container matColumnDef="creationDate">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Creation date</th>
        <td mat-cell *matCellDef="let row">
          {{ row.creation_date | date: "shortDate" }}
        </td>
      </ng-container>

      <ng-container matColumnDef="categoryId">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Category Id</th>
        <td mat-cell *matCellDef="let row">{{ row.category_id }}</td>
      </ng-container>

      <ng-container matColumnDef="size">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Size</th>
        <td mat-cell *matCellDef="let row">{{ row.size }}</td>
      </ng-container>

      <ng-container matColumnDef="picturePath">
        <th mat-header-cell *matHeaderCellDef>Picture</th>
        <td mat-cell *matCellDef="let row">
          <img [src]="url + row.picture_path" />
        </td>
      </ng-container>

      <ng-container matColumnDef="actions">
        <th mat-header-cell *matHeaderCellDef>
          <button mat-icon-button color="primary" (click)="addProduct()">
            <mat-icon aria-label="Example icon-button with a heart icon"
              >add</mat-icon
            >
          </button>
        </th>
        <td mat-cell *matCellDef="let product">
          <button mat-raised-button (click)="editProduct(product)">
            <mat-icon>edit</mat-icon>
          </button>
          <button mat-raised-button (click)="deleteProduct(product.id)">
            <mat-icon>delete</mat-icon>
          </button>
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
    </table>

    <mat-paginator
      [length]="totalSize"
      [pageSize]="pageSize"
      [pageIndex]="currentPage"
      [pageSizeOptions]="[5, 10, 25]"
      (page)="handlePage($event)"
    ></mat-paginator>
  </div>
</div>

<div
  class="d-flex justify-self-center align-self-center h-100"
  *ngIf="!isLoaded"
>
  <mat-spinner style="margin: 0 auto"></mat-spinner>
</div>
